//
// bool.hpp
//
// declaration of a boolean type EBool
//
// created: 24.11.96
//
// last change: 23.06.98
//
// RCS version control information:
//     $Revision: 1.4 $$State: Stable $$Date: 1998/07/03 12:37:28 $
//


#ifndef _BOOL_HPP_
#define _BOOL_HPP_


#ifdef PSOS_SIM

#define EBool int
#define True 1
#define False 0

#else

enum EBool {False = 0, True };  // for boolean return types

EBool& operator|= (EBool& result, EBool const & operand);
// implement OR with assignment

EBool& operator&= (EBool& result, EBool const & operand);
// implement AND with assignment

#endif  // not PSOS_SIM

#endif  // _BOOL_HPP_

