//
// gentypes.hpp
//
// contains the real types for several data items where the type may
// change
//
// created: 08.10.98
//
// last change: 28.10.98
//
// RCS version control information:
//     $Revision: 1.2 $$State: Exp $$Date: 1998/11/06 10:55:54 $
//

#ifndef _GENTYPES_HPP_
#define _GENTYPES_HPP_

#include "psos.h"  // for SINT32

typedef SINT32 TNodeID;     // the ID of a node
typedef int    TArea;       // the area of a node

typedef double TRateTheta;  // the theta values in SRate
typedef double TRateU;      // the 'u' value in SRate

#endif

