//
// template.hpp
//
// the templates that are used to get an instance of the currently
// implemented clock interface and clock sync. algorithm
// (cf. clock.hpp and algbase.hpp for details)
//
// created: 18.02.97
//
// last change: 02.07.97
//
// RCS version control information:
//     $Revision: 1.1 $$State: Stable $$Date: 1998/06/16 09:57:06 $
//


#ifndef _TEMPLATE_HPP_
#define _TEMPLATE_HPP_


class CClockTemplate;
class CGpsTemplate;


extern CClockTemplate *clockTemplate;
// is set in the implementation file of the currently used clock
// interface, is deleted by the Controller

extern CGpsTemplate *gpsTemplate;
// is set in the implementation file of the currently used GPS class,
// is deleted by the Controller


#endif


