//
// settime.hpp
//
// function for setting the global time (only for testing in DOS)
//
// created: 31.03.97
//
// last change: 31.03.97
//

#ifndef _SETTIME_HPP_
#define _SETTIME_HPP_


//**************************************************************************
// set global time
//**************************************************************************

inline void SetGlobalTime(double time) {ACProcess::SetCurrentTime (time);}
// set the global time to the given value (time in seconds)
// note: the function is only needed for testing purposes under DOS, so
// it should never be used by the application!

#endif


