/*******************************************************************************
file:    error.h
error constants for all levels

used by: 
created: 19.09.1995
revised: 08.01.1997
author:  Gerda Richter  8925254
*******************************************************************************/
/*******************************************************************************
Id: error.h,v 1.2 1997/10/22 12:46:44 xray Exp xray
*******************************************************************************/
/*******************************************************************************
Log: error.h,v
Revision 1.2  1997/10/22 12:46:44  xray
INVALID_COMMAND added for CI dispatcher

 * Revision 1.1  1997/10/02  09:41:49  xray
 * Initial revision
 *
*******************************************************************************/
#ifndef _ERROR_HXX_
#define _ERROR_HXX_

/*==============  Error codes ============================================*/
#define NETWORK_NOT_FUNCTIONAL 		-1
#define NO_BUF_FREE 			-1
#define NO_ENV_FREE 			-2
#define COULD_NOT_BE_MADE_CONTIGUOUS 	-3
#define NO_ENVELOPE_ATTACHED 		-4
#define INVALID_ADDRESS_NUMBER 		-5
#define NO_SPACE_IN_WINDOW 		-6
#define INVALID_BUF_ADDRESS 		-7
#define INVALID_ENV_ADDRESS 		-8
#define INVALID_IF_NUMBER 		-9
#define INVALID_POINTER 		-10
#define TX_FAILED 			-11
#define INVALID_COMMAND 		-12

#endif

