//
// bool.cpp
//
// definition of the operators of the boolean type EBool
//
// created: 24.11.96
//
// last change: 18.06.98
//
// RCS version control information:
//     $Revision: 1.3 $$State: Stable $$Date: 1998/07/03 12:45:47 $
//


#include "bool.hpp"

#ifndef PSOS_SIM

// sets the result to True if it or the second operand is True,
// False otherwise
// returns the result
EBool& operator|= (EBool& result, EBool const & operand)
{
    if (result || operand) result = True;
    // if the condition is False, result must be False anyway

    return result;
}

// sets the result to True if it and the second operand are True,
// False otherwise
// returns the result
EBool& operator&= (EBool& result, EBool const & operand)
{
    if (!(result && operand)) result = False;
    // if the condition is False, result must be True anyway

    return result;
}

#endif


